Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232018 (perl-YAML-Syck) - Review Request: perl-YAML-Syck - Fast, lightweight YAML loader and dumper
Summary: Review Request: perl-YAML-Syck - Fast, lightweight YAML loader and dumper
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-YAML-Syck
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 231085 perl-YAML-Tiny perl-Config-Any 237594
TreeView+ depends on / blocked
 
Reported: 2007-03-13 16:07 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-04 22:50:18 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-13 16:07:46 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-YAML-Syck/perl-YAML-Syck.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-YAML-Syck-0.82-1.src.rpm
Description:
This module provides a Perl interface to the libsyck data serialization
library. It exports the Dump and Load functions for converting Perl data
structures to YAML strings, and the other way around.

Comment 1 Parag AN(पराग) 2007-03-23 11:44:55 UTC
Mock build log showed
*** WARNING ***

This release breaks compatibility with versions earlier than version 0.60 of
YAML::Syck and YAML.pm when serializing blessed references.

See the COMPATIBILITY file for more information.

As current version of perl-YAML is 0.62, I assume this package will not break
any package dependency in rawhide and in FC6 also.

Comment 2 Steven Pritchard 2007-03-23 15:44:56 UTC
It shouldn't (and hasn't in my light testing).

Comment 3 Parag AN(पराग) 2007-03-26 04:03:25 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ebb765d22bc14bddab4f86a5ade249d9  YAML-Syck-0.82.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/1-basic..............ok
t/2-scalars............ok
t/3-objects............ok
t/4-perl_tag_scheme....ok
t/json-basic...........ok
t/json-circular-ref....ok
t/json-empty...........ok
t/json-indent..........ok
t/json-minus...........ok
t/json-newline.........ok
t/json-null............ok
t/json-refs............ok
t/json-singlequote.....ok
t/leak.................ok
t/yaml-blessed-ref.....ok
t/yaml-tie.............ok
All tests successful.
Files=16, Tests=200,  1 wallclock secs ( 0.82 cusr +  0.18 csys =  1.00 CPU)

+ Provides: Syck.so perl(JSON::Syck) perl(YAML::Dumper::Syck)
perl(YAML::Loader::Syck) perl(YAML::Syck) = 0.82

APPROVED.


Comment 4 Chris Weyl 2007-04-11 03:12:43 UTC
0.84 is out :)

Comment 5 Parag AN(पराग) 2007-04-16 04:07:52 UTC
ping is this built?

Comment 6 Steven Pritchard 2007-04-18 14:23:35 UTC
(In reply to comment #5)
> ping is this built?

Not yet.  I'm working on catching up this week.

Comment 7 Steven Pritchard 2007-05-01 18:22:50 UTC
New Package CVS Request
=======================
Package Name: perl-YAML-Syck
Short Description: Fast, lightweight YAML loader and dumper
Owners: steve@silug.org
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Comment 8 Chris Weyl 2007-05-04 22:50:18 UTC
Steve has been feeling a bit under the weather lately, and asked me to help out
a bit.  I've imported and kicked off builds for this package to remove it as a
blocker to a number of other bugs.

Feel better, Steve! :)

Comment 9 Steven Pritchard 2007-05-23 18:24:03 UTC
Package Change Request
======================
Package Name: perl-YAML-Tiny
New Branches: F-7

This is going to need a F-7 branch in order to avoid upgrade problems.

Comment 10 Steven Pritchard 2007-05-23 18:25:14 UTC
Oops, let's try that again.

Package Change Request
======================
Package Name: perl-YAML-Syck
New Branches: F-7

Comment 11 Jens Petersen 2007-05-27 03:52:22 UTC
branch added


Note You need to log in before you can comment on or make changes to this bug.